function env=environment(varargin)
% FUNCTION env=fc_graphics4mesh.environment()
%   Retrieves the toolbox/package environment directories.
%
% <COPYRIGHT>

  [conffile,isFileExists]=fc_graphics4mesh.getLocalConfFile();
  if ~isFileExists
    fprintf('Try to use default parameters!\n Use fc_graphics4mesh.configure to configure.\n')
    fc_graphics4mesh.configure();
  end
  run(conffile);
  env.data_dir=data_dir;
  env.fc_tools_dir=fc_tools_dir;
  fullname=mfilename('fullpath');
  I=strfind(fullname,filesep);
  Path=fullname(1:(I(end-1)-1));
  env.Path=Path; % current toolbox path
end
